Bug 1121140 - Some of the README files contain broken link to the jboss.org web site
Summary: Some of the README files contain broken link to the jboss.org web site
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: EAP 6.3.0
Assignee: sgilda
QA Contact: Nikoleta Ziakova
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 13:19 UTC by sgilda
Modified: 2014-10-25 12:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 14:35:40 UTC
Type: Bug


Attachments (Terms of Use)

Description sgilda 2014-07-18 13:19:15 UTC
Description of problem:

1) The root README contains this:

Use JBoss Developer Studio or Eclipse to Run the Quickstarts
------------------------------------------------------------

You can also deploy the quickstarts from Eclipse using JBoss tools. For more information on how to set up Maven and the JBoss tools, refer to the [JBoss Enterprise Application Platform Development Guide](https://access.redhat.com/site/documentation/JBoss_Enterprise_Application_Platform/) or [Get Started Developing Applications](http://www.jboss.org/jdf/quickstarts/jboss-as-quickstart/guide/Introduction/ "Get Started Developing Applications").

The last link to jboss.org redirects to http://www.jboss.org/quickstarts/eap/guide/Introduction/ which results in a 404 Not Found.

2) helloworld/README.md: There is a tutorial for this quickstart in the [Getting Started Developing Applications Guide](http://www.jboss.org/jdf/quickstarts/jboss-as-quickstart/guide/HelloworldQuickstart).

This redirects to http://www.jboss.org/quickstarts/eap/guide/HelloworldQuickstart which results in a 404 Not Found.

3) numberguess/README.md:There is a tutorial for this quickstart in the [Getting Started Developing Applications Guide](http://www.jboss.org/jdf/quickstarts/jboss-as-quickstart/guide/NumberguessQuickstart/).

This redirects to http://www.jboss.org/quickstarts/eap/guide/NumberguessQuickstart/, which results in a 404 Not Found.

4) Additional links do redirects and should be replaced with the new links.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 sgilda 2014-07-18 15:02:46 UTC
Found a few more:

5) kitchensink/README.md:There is a tutorial for this quickstart in the [Getting Started Developing Applications Guide](http://www.jboss.org/jdf/quickstarts/jboss-as-quickstart/guide/KitchensinkQuickstart/).

6) greeter/README.md:There is a tutorial for this quickstart in the [Getting Started Developing Applications Guide](http://www.jboss.org/jdf/stage/quickstarts/jboss-as-quickstart/guide/GreeterQuickstart/).

Comment 2 sgilda 2014-07-24 11:42:07 UTC
This was fixed and merged on July 18th with this commit:
https://github.com/jboss-developer/jboss-eap-quickstarts/commit/f2a43063f0d60afd11f2fafc74292660b174bcfd

Waiting for a rebuild of the quickstarts to move this to ON_QA

Comment 3 Paul Gier 2014-07-25 16:42:11 UTC
The quickstarts zip with this fix has been staged as 6.3.0.ER10.1

Comment 4 Nikoleta Ziakova 2014-07-28 14:11:00 UTC
Verified with EAP 6.3.0.ER10.1 Quickstarts zip


Note You need to log in before you can comment on or make changes to this bug.